#ifndef FINDSELECTIONDATA_H
#define FINDSELECTIONDATA_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>

class Ui_FindSelectionData
{
public:
    QGridLayout *gridLayout;
    QLabel *textLabel1;
    QLabel *textLabel3;
    QComboBox *inputProp;
    QSpacerItem *spacerItem;
    QSpacerItem *spacerItem1;
    QPushButton *findButton;
    QPushButton *cancelButton;
    QLabel *valueComment;
    QComboBox *filterOp;
    QLineEdit *filterValue;
    Q3ButtonGroup *buttonGroup2;
    QComboBox *srcOpt;
    QRadioButton *keepSelectionOpt;
    QRadioButton *rmvFromSelectionOpt;
    QRadioButton *setToSelectionOpt;
    QRadioButton *addToSelectionOpt;

    void setupUi(QDialog *FindSelectionData)
    {
    if (FindSelectionData->objectName().isEmpty())
        FindSelectionData->setObjectName(QString::fromUtf8("FindSelectionData"));
    FindSelectionData->resize(503, 192);
    gridLayout = new QGridLayout(FindSelectionData);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    textLabel1 = new QLabel(FindSelectionData);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(textLabel1->sizePolicy().hasHeightForWidth());
    textLabel1->setSizePolicy(sizePolicy);
    textLabel1->setWordWrap(false);

    gridLayout->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel3 = new QLabel(FindSelectionData);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    sizePolicy.setHeightForWidth(textLabel3->sizePolicy().hasHeightForWidth());
    textLabel3->setSizePolicy(sizePolicy);
    textLabel3->setWordWrap(false);

    gridLayout->addWidget(textLabel3, 1, 0, 1, 1);

    inputProp = new QComboBox(FindSelectionData);
    inputProp->setObjectName(QString::fromUtf8("inputProp"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(inputProp->sizePolicy().hasHeightForWidth());
    inputProp->setSizePolicy(sizePolicy1);

    gridLayout->addWidget(inputProp, 0, 1, 1, 2);

    spacerItem = new QSpacerItem(50, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 1, 3, 1, 1);

    spacerItem1 = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem1, 3, 2, 1, 1);

    findButton = new QPushButton(FindSelectionData);
    findButton->setObjectName(QString::fromUtf8("findButton"));

    gridLayout->addWidget(findButton, 0, 4, 1, 1);

    cancelButton = new QPushButton(FindSelectionData);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    gridLayout->addWidget(cancelButton, 1, 4, 1, 1);

    valueComment = new QLabel(FindSelectionData);
    valueComment->setObjectName(QString::fromUtf8("valueComment"));
    QFont font;
    font.setPointSize(8);
    valueComment->setFont(font);
    valueComment->setWordWrap(false);

    gridLayout->addWidget(valueComment, 2, 1, 1, 2);

    filterOp = new QComboBox(FindSelectionData);
    filterOp->setObjectName(QString::fromUtf8("filterOp"));
    sizePolicy.setHeightForWidth(filterOp->sizePolicy().hasHeightForWidth());
    filterOp->setSizePolicy(sizePolicy);
    filterOp->setMinimumSize(QSize(106, 0));

    gridLayout->addWidget(filterOp, 1, 1, 1, 1);

    filterValue = new QLineEdit(FindSelectionData);
    filterValue->setObjectName(QString::fromUtf8("filterValue"));

    gridLayout->addWidget(filterValue, 1, 2, 1, 1);

    buttonGroup2 = new Q3ButtonGroup(FindSelectionData);
    buttonGroup2->setObjectName(QString::fromUtf8("buttonGroup2"));
    buttonGroup2->setMinimumSize(QSize(0, 44));
    srcOpt = new QComboBox(buttonGroup2);
    srcOpt->setObjectName(QString::fromUtf8("srcOpt"));
    srcOpt->setGeometry(QRect(360, 15, 110, 27));
    keepSelectionOpt = new QRadioButton(buttonGroup2);
    keepSelectionOpt->setObjectName(QString::fromUtf8("keepSelectionOpt"));
    keepSelectionOpt->setGeometry(QRect(250, 20, 105, 21));
    rmvFromSelectionOpt = new QRadioButton(buttonGroup2);
    rmvFromSelectionOpt->setObjectName(QString::fromUtf8("rmvFromSelectionOpt"));
    rmvFromSelectionOpt->setGeometry(QRect(160, 20, 85, 21));
    setToSelectionOpt = new QRadioButton(buttonGroup2);
    setToSelectionOpt->setObjectName(QString::fromUtf8("setToSelectionOpt"));
    setToSelectionOpt->setGeometry(QRect(10, 20, 70, 21));
    setToSelectionOpt->setChecked(true);
    addToSelectionOpt = new QRadioButton(buttonGroup2);
    addToSelectionOpt->setObjectName(QString::fromUtf8("addToSelectionOpt"));
    addToSelectionOpt->setGeometry(QRect(90, 20, 65, 21));

    gridLayout->addWidget(buttonGroup2, 4, 0, 1, 5);


    retranslateUi(FindSelectionData);
    QObject::connect(cancelButton, SIGNAL(clicked()), FindSelectionData, SLOT(reject()));
    QObject::connect(findButton, SIGNAL(clicked()), FindSelectionData, SLOT(accept()));
    QObject::connect(inputProp, SIGNAL(activated(int)), FindSelectionData, SLOT(propertyChanged(int)));

    filterOp->setCurrentIndex(2);


    QMetaObject::connectSlotsByName(FindSelectionData);
    } // setupUi

    void retranslateUi(QDialog *FindSelectionData)
    {
    FindSelectionData->setWindowTitle(QApplication::translate("FindSelectionData", "Find Selection", 0, QApplication::UnicodeUTF8));
    textLabel1->setText(QApplication::translate("FindSelectionData", "Input property :", 0, QApplication::UnicodeUTF8));
    textLabel3->setText(QApplication::translate("FindSelectionData", "Filter :", 0, QApplication::UnicodeUTF8));
    findButton->setText(QApplication::translate("FindSelectionData", "Find", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("FindSelectionData", "Cancel", 0, QApplication::UnicodeUTF8));
    valueComment->setText(QApplication::translate("FindSelectionData", "( enter a value)", 0, QApplication::UnicodeUTF8));
    filterOp->clear();
    filterOp->insertItems(0, QStringList()
     << QApplication::translate("FindSelectionData", "<", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", "<=", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", "==", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", ">=", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", ">", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", "!=", 0, QApplication::UnicodeUTF8)
    );
    buttonGroup2->setTitle(QApplication::translate("FindSelectionData", "Options", 0, QApplication::UnicodeUTF8));
    srcOpt->clear();
    srcOpt->insertItems(0, QStringList()
     << QApplication::translate("FindSelectionData", "On nodes", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", "On edges", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("FindSelectionData", "On both", 0, QApplication::UnicodeUTF8)
    );
    keepSelectionOpt->setText(QApplication::translate("FindSelectionData", "Intersect", 0, QApplication::UnicodeUTF8));
    keepSelectionOpt->setProperty("toolTip", QVariant(QApplication::translate("FindSelectionData", "Deselect the elements of the current selection which are not in the graph elements found", 0, QApplication::UnicodeUTF8)));
    rmvFromSelectionOpt->setText(QApplication::translate("FindSelectionData", "Remove", 0, QApplication::UnicodeUTF8));
    rmvFromSelectionOpt->setProperty("toolTip", QVariant(QApplication::translate("FindSelectionData", "Remove the graph elements found from the current selection", 0, QApplication::UnicodeUTF8)));
    setToSelectionOpt->setText(QApplication::translate("FindSelectionData", "Replace", 0, QApplication::UnicodeUTF8));
    setToSelectionOpt->setProperty("toolTip", QVariant(QApplication::translate("FindSelectionData", "Replace the current selection by the graph elements found", 0, QApplication::UnicodeUTF8)));
    addToSelectionOpt->setText(QApplication::translate("FindSelectionData", "Add", 0, QApplication::UnicodeUTF8));
    addToSelectionOpt->setProperty("toolTip", QVariant(QApplication::translate("FindSelectionData", "Add the graph elements found to the current selection", 0, QApplication::UnicodeUTF8)));
    Q_UNUSED(FindSelectionData);
    } // retranslateUi

};

namespace Ui {
    class FindSelectionData: public Ui_FindSelectionData {};
} // namespace Ui

class FindSelectionData : public QDialog, public Ui::FindSelectionData
{
    Q_OBJECT

public:
    FindSelectionData(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~FindSelectionData();

protected slots:
    virtual void languageChange();

    virtual void propertyChanged( int );


};

#endif // FINDSELECTIONDATA_H
